> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/ladybug-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/ladybug-primer/components/1_analyzedata/mass_arithmetic_operation.md).

# Mass Arithmetic Operation

![](/files/-MihikMhQ0l8TXtH-vNq)

![](/files/-MihikMiKINhlc8DAynP) - [\[source code\]](https://github.com/ladybug-tools/ladybug-grasshopper/blob/master/ladybug_grasshopper/src//LB%20Mass%20Arithmetic%20Operation.py)

Perform a "mass" arithmetic operation between Data Collections. For example, adding a list of Data Collections into one Data Collection.

Note that Data Collections must be aligned in order for this component to run successfully.

Using this component will often be much faster and more elegant compared to deconstructing the data collection, performing the operation with native Grasshopper components, and rebuilding the collection.

### Inputs

* **data \[Required]**

A list of Data Collections to be used in the arithmetic operation.

* **operator**

Text for the operator to use between the Data Collections. Valid examples include (+, -, \*, /). By default this is + for addition.

* **type**

Optional text for a new "type" key in the Data Collection's metadata. This will usually show up in most Ladybug visualiztions and it should usually change for most types of operations.

### Outputs

* **data**

A Ladybug data collection object derived from the operation between the two data inputs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ladybug.tools/ladybug-primer/components/1_analyzedata/mass_arithmetic_operation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
